<?php
class GeoUser{
/**
 * Get a Yahoo Map as PNG image
 *
 * @param string $appid
 * @param float $latitude
 * @param float $longitude
 * @param int $imageHeight
 * @param int $imageWidth
 * @return string map of html format
 */
public static function getPngMap($appid, $latitude, $longitude, $imageHeight, $imageWidth){

    $request  = 'http://local.yahooapis.com/MapsService/V1/mapImage';
    $request .= '?appid='.$appid;
    $request .= '&latitude='.$latitude;
    $request .= '&longitude='.$longitude;
    $request .= '&image_height='.$imageHeight;
    $request .= '&image_width='.$imageWidth;
    $request .= '&output=php';

    $response = file_get_contents($request);
    
    $phpobj = unserialize($response);
    $url = $phpobj['Result'];
    $map = '<img src="' .$url .'" />';
    return $map;
     
}

}





