<?php
function geouser_admin_settings(){

    $form = array();

    $form['ymap'] = array(
		'#type'		=> 'fieldset',
		'#title'	=> t("Yahoo map settings"),
		'#description' 	=> t("Present geographic location visually by Yahoo Map"),
        '#collapsible'	=> TRUE,
		'#collapsed' 	=> true,
    );
 $form['ymap']['geouser_ymap_appid'] = array(
  '#type' => 'textfield', 
  '#title' => t('Yahoo Application ID'), 
  '#default_value' => variable_get('geouser_ymap_appid','YahooDemo'), 
  '#description' => t('You can apply for your yahoo app id for free on http://developer.yahoo.com'),
  '#size' => 50, 
  '#maxlength' => 128, 
  '#required' => TRUE,
    );
    
    
    $form['ymap']['geouser_ymap_format'] = array(
  '#type' => 'radios', 
  '#title' => t('Format of Map'), 
  '#default_value' => variable_get('geouser_ymap_format', 0), 
  '#options' => array(t('PNG'), t('Flash')),
  '#required' => TRUE,  
    );
    
    $form['ymap']['geouser_ymap_width'] = array(
  '#type' => 'textfield', 
  '#title' => t('Width of Map'), 
  '#default_value' => variable_get('geouser_ymap_width',550), 
  '#size' => 50, 
  '#maxlength' => 128, 
  '#required' => TRUE,
    );
    
     $form['ymap']['geouser_ymap_height'] = array(
  '#type' => 'textfield', 
  '#title' => t('Height of Map'), 
  '#default_value' => variable_get('geouser_ymap_height',350), 
  '#size' => 50, 
  '#maxlength' => 128, 
  '#required' => TRUE,
    );

    return system_settings_form($form);
}
